"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _getState = _interopRequireDefault(require("./getState"));

var _setSession = _interopRequireDefault(require("./setSession"));

var _sendApiCall = _interopRequireDefault(require("./sendApiCall"));

var _getAccountInfo = _interopRequireDefault(require("./getAccountInfo"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _default(options) {
  return new Promise(async (resolve, reject) => {
    try {
      var _state$regToken;

      const state = await (0, _getState.default)();
      const response = await (0, _sendApiCall.default)('accounts.finalizeRegistration', {
        regToken: (_state$regToken = state.regToken) === null || _state$regToken === void 0 ? void 0 : _state$regToken.value,
        targetEnv: 'mobile'
      });
      const {
        sessionToken,
        sessionSecret
      } = response === null || response === void 0 ? void 0 : response.sessionInfo;

      if (options !== null && options !== void 0 && options.noSetSession) {
        return resolve(response);
      }

      await (0, _setSession.default)(sessionToken, sessionSecret);
      const account = await (0, _getAccountInfo.default)({
        noUID: true
      });
      resolve({ ...account,
        sessionInfo: response.sessionInfo
      });
    } catch (e) {
      reject(e);
    }
  });
}
//# sourceMappingURL=finalizeRegistration.js.map