"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _getAccountInfo = _interopRequireDefault(require("./getAccountInfo"));

var _getRequiredConsentSchemas = _interopRequireDefault(require("./getRequiredConsentSchemas"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _default() {
  return new Promise(async (resolve, reject) => {
    try {
      const requiredConsentSchemas = await (0, _getRequiredConsentSchemas.default)();
      const consentSchemaKeys = requiredConsentSchemas.map(schema => schema.key);
      const preferences = (await (0, _getAccountInfo.default)({
        noUID: true
      })).preferences;

      if (consentSchemaKeys.length < 1 || !preferences) {
        return resolve(null);
      }

      let output = [];

      for (let key of consentSchemaKeys) {
        var _preferences$key, _preferences$consentP, _preferences$consentP2;

        const [consentPreference, consentPreferenceKey] = key.split('.');

        if (!(preferences !== null && preferences !== void 0 && (_preferences$key = preferences[key]) !== null && _preferences$key !== void 0 && _preferences$key.isConsentGranted) && !(preferences !== null && preferences !== void 0 && (_preferences$consentP = preferences[consentPreference]) !== null && _preferences$consentP !== void 0 && (_preferences$consentP2 = _preferences$consentP[consentPreferenceKey]) !== null && _preferences$consentP2 !== void 0 && _preferences$consentP2.isConsentGranted)) {
          output = [...output, key];
        }
      }

      if (!output.length) {
        return resolve(null);
      }

      resolve(output);
    } catch (e) {
      reject(e);
    }
  });
}
//# sourceMappingURL=getUnacceptedConsentSchemas.js.map