"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _reactNative = require("react-native");

var _state = require("../internals/state");

const {
  GigyaSdk
} = _reactNative.NativeModules;

function _default(config) {
  return new Promise(async (resolve, reject) => {
    try {
      const newState = {
        apiKey: config.apiKey,
        storage: config.storage,
        lang: config.lang || _state.initialState.lang,
        storageKey: config.storageKey
      };
      await (0, _state.setState)(newState);
      resolve(GigyaSdk.initialize(config));
    } catch (e) {
      reject(e);
    }
  });
}
//# sourceMappingURL=init.js.map