"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _reactNative = require("react-native");

var _logout = _interopRequireDefault(require("./logout"));

var _getState = _interopRequireDefault(require("./getState"));

var _isGigyaError = _interopRequireDefault(require("./isGigyaError"));

var _handleSdkCall = _interopRequireDefault(require("../internals/handleSdkCall"));

var _saveAuthenticationAttempt = _interopRequireDefault(require("../internals/saveAuthenticationAttempt"));

var _clearErrorState = _interopRequireDefault(require("../internals/clearErrorState"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const {
  GigyaSdk
} = _reactNative.NativeModules;

function _default(email, password, params) {
  return new Promise(async (resolve, reject) => {
    try {
      await (0, _logout.default)();
      const state = await (0, _getState.default)();
      let values = params || {};
      values.lang = (values === null || values === void 0 ? void 0 : values.lang) || state.lang;
      const response = await (0, _handleSdkCall.default)(GigyaSdk.registerAccount(email, password, JSON.stringify(values)));

      try {
        await (0, _clearErrorState.default)();
      } catch (err) {}

      resolve(response);
    } catch (e) {
      if (await (0, _isGigyaError.default)(e)) {
        try {
          await (0, _saveAuthenticationAttempt.default)('email', e);
        } catch (err) {
          return reject(err);
        }
      }

      reject(e);
    }
  });
}
//# sourceMappingURL=registerAccount.js.map