"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _sendApiCall = _interopRequireDefault(require("./sendApiCall"));

var _isLoggedIn = _interopRequireDefault(require("./isLoggedIn"));

var _getState = _interopRequireDefault(require("./getState"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _default(params) {
  return new Promise(async (resolve, reject) => {
    try {
      const state = await (0, _getState.default)();

      if (await (0, _isLoggedIn.default)()) {
        const response = await (0, _sendApiCall.default)('accounts.verifyLogin', { ...(state.UID && {
            UID: state.UID
          }),
          ...((params === null || params === void 0 ? void 0 : params.include) && {
            include: params === null || params === void 0 ? void 0 : params.include
          }),
          targetEnv: 'mobile'
        });
        return resolve(response);
      }

      resolve(false);
    } catch (e) {
      reject(e);
    }
  });
}
//# sourceMappingURL=verifyLogin.js.map