"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {};
exports.default = void 0;

var _types = require("./types");

Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _types[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _types[key];
    }
  });
});

var core = _interopRequireWildcard(require("./core"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const GigyaSdk = {
  ErrorCodes: _types.GigyaSdkErrorCodes,
  ErrorsTypeIds: _types.GigyaSdkErrors,
  acceptConsentSchemas: core.acceptConsentSchemas,
  // deleteAccount:
  // forgotPassword:
  finalizeRegistration: core.finalizeRegistration,
  getAccount: core.getAccount,
  getAccountInfo: core.getAccountInfo,
  getAllSchemas: core.getAllSchemas,
  getConflictingAccount: core.getConflictingAccount,
  getRequiredConsentSchemas: core.getRequiredConsentSchemas,
  getState: core.getState,
  getUnacceptedConsentSchemas: core.getUnacceptedConsentSchemas,
  grantRequiredConsents: core.grantRequiredConsents,
  handleAuthenticationError: core.handleAuthenticationError,
  init: core.init,
  isAvailableLoginId: core.isAvailableLoginId,
  isGigyaError: core.isGigyaError,
  isLoggedIn: core.isLoggedIn,
  linkToSite: core.linkToSite,
  linkToSocialProvider: core.linkToSocialProvider,
  login: core.login,
  logout: core.logout,
  registerAccount: core.registerAccount,
  resendVerificationEmail: core.resendVerificationEmail,
  sendApiCall: core.sendApiCall,
  // sendSmsCode:
  setAccount: core.setAccount,
  setAccountInfo: core.setAccountInfo,
  // setProfilePhoto:
  setSession: core.setSession,
  // smsLogin:
  socialLogin: core.socialLogin,
  verifyLogin: core.verifyLogin
};
var _default = GigyaSdk;
exports.default = _default;
//# sourceMappingURL=index.js.map