"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _formatError = _interopRequireDefault(require("./formatError"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _default(sdkCall, options) {
  return new Promise(async (resolve, reject) => {
    try {
      let response = null;

      try {
        response = await sdkCall;
      } catch (e) {
        return reject((0, _formatError.default)(e));
      }

      if (!(options !== null && options !== void 0 && options.noParsing)) {
        response = JSON.parse(response);
      }

      resolve(response);
    } catch (e) {
      reject(e);
    }
  });
}
//# sourceMappingURL=handleSdkCall.js.map