import { NativeModules } from 'react-native';
const {
  GigyaSdk
} = NativeModules;
import logout from './logout';
import isGigyaError from './isGigyaError';
import { setState } from '../internals/state';
import handleSdkCall from '../internals/handleSdkCall';
import clearErrorState from '../internals/clearErrorState';
import saveAuthenticationAttempt from '../internals/saveAuthenticationAttempt';
export default function (email, password, params) {
  return new Promise(async (resolve, reject) => {
    try {
      await logout();
      const response = await handleSdkCall(GigyaSdk.login(email, password, JSON.stringify(params || {})));
      await setState({
        UID: response.UID
      });

      try {
        await clearErrorState();
      } catch (err) {}

      resolve(response);
    } catch (e) {
      if (await isGigyaError(e)) {
        try {
          await saveAuthenticationAttempt('email', e);
        } catch (err) {
          return reject(err);
        }
      }

      reject(e);
    }
  });
}
//# sourceMappingURL=login.js.map