import sendApiCall from './sendApiCall';
import isLoggedIn from './isLoggedIn';
import getState from './getState';
export default function (params) {
  return new Promise(async (resolve, reject) => {
    try {
      const state = await getState();

      if (await isLoggedIn()) {
        const response = await sendApiCall('accounts.verifyLogin', { ...(state.UID && {
            UID: state.UID
          }),
          ...((params === null || params === void 0 ? void 0 : params.include) && {
            include: params === null || params === void 0 ? void 0 : params.include
          }),
          targetEnv: 'mobile'
        });
        return resolve(response);
      }

      resolve(false);
    } catch (e) {
      reject(e);
    }
  });
}
//# sourceMappingURL=verifyLogin.js.map